<?xml version="1.0"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->

<xs:schema version="1.0"
           xmlns:xs="http://www.w3.org/2001/XMLSchema"
           elementFormDefault="qualified">
    <xs:element name="book">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="title">
                    <xs:complexType>
                        <xs:simpleContent>
                            <xs:extension base="xs:string">
                                <xs:attribute name="lang">
                                    <xs:simpleType>
                                        <xs:restriction base="xs:string">
                                            <xs:pattern value="H|P"/>
                                        </xs:restriction>
                                    </xs:simpleType>
                                </xs:attribute>
                            </xs:extension>
                        </xs:simpleContent>
                    </xs:complexType>
                </xs:element>
                <xs:element name="edition" minOccurs="0" maxOccurs="1" type="xs:byte"/>
                <xs:element name="authors">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="author" maxOccurs="unbounded">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element name="first" type="xs:string"/>
                                        <xs:element name="middle" minOccurs="0" maxOccurs="1">
                                            <xs:simpleType>
                                                <xs:restriction base="xs:string">
                                                    <xs:maxLength value="1"/>
                                                </xs:restriction>
                                            </xs:simpleType>
                                        </xs:element>
                                        <xs:element name="last" type="xs:string"/>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
                <xs:element name="publishedDate">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="month">
                                <xs:simpleType>
                                    <xs:restriction base="xs:unsignedByte">
                                        <xs:minInclusive value="1"/>
                                        <xs:maxInclusive value="12"/>
                                    </xs:restriction>
                                </xs:simpleType>
                            </xs:element>
                            <xs:element name="day">
                                <xs:simpleType>
                                    <xs:restriction base="xs:unsignedByte">
                                        <xs:minInclusive value="1"/>
                                        <xs:maxInclusive value="31"/>
                                    </xs:restriction>
                                </xs:simpleType>
                            </xs:element>
                            <xs:element name="year" type="xs:gYear"/>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
                <xs:element name="type">
                    <xs:simpleType>
                        <xs:restriction base="xs:string">
                            <xs:pattern value="nonfiction|fiction"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
                <xs:element name="price">
                    <xs:simpleType>
                        <xs:restriction base="xs:decimal">
                            <xs:minExclusive value="0"/>
                            <xs:fractionDigits value="2"/>
                            <xs:totalDigits value="5"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
            </xs:sequence>
            <xs:attribute name="id" type="xs:integer" use="required"/>
        </xs:complexType>
    </xs:element>
</xs:schema>
